$main-font: 'Lato', sans-serif;
$content-color : #333333;
$text-gray : #666666;
.title-font{
    font-family: $main-font;
}
.title-color{
    color: $content-color;
}
.block-headding-elm{
    padding: 40px 0;
    text-align: center;
    background-color: #f7f7f7;
    h1{
        font-size: 28px;
        line-height: normal;
        margin-bottom: 20px;
        font-weight: bold;
    }
    .breadcrumb{
        display: inline-flex;
        background-color: transparent;
        padding: 0;
        margin: 0;
        a{
            font-family: $main-font;
            color: $text-gray;
            text-decoration: none;
            &:hover{
                color: $main-color;
            }
        }
        span{
            font-family: $main-font;
            color: $text-gray;
            text-decoration: underline;
        }
        .breadcrumb-item+.breadcrumb-item::before{
            font-family: 'FontAwesome';
            content: "\f105";
        }
    }
    @media (max-width: 567px) {
        padding: 20px 0;
        h1{
            margin-bottom: 5px;
        }
    }
}

.block-news-page{
    padding-top: 90px;
    padding-bottom: 70px;
    @media (max-width: 567px) {
        padding: 30px 0;
    }
}
.block-sidebar{
    .widget-sidebar{
        padding-bottom: 15px;
        border-bottom: solid 1px #dedede;
        margin-top: 25px;
        .widget-title{
            color: $main-color;
            font-size: 24px;
            font-weight: 600;
            margin-bottom: 15px;
        }
        .widget-content{
            .menu-side{
                ul{
                    margin: 0;
                    padding: 0;
                    list-style: none;
                    li{
                        position: relative;
                        &::before{
                            content: "\f105";
                            font-family: 'Font Awesome 5 Free';
                            font-weight: 600;
                            position: absolute;
                            top: 0;
                            right: 20px;
                            bottom: 0;
                            display: flex;
                            align-items: center;
                            color: $text-gray;
                            transition: all 0.23s;
                        }
                        a{
                            display: block;
                            padding: 10px 0;
                            text-decoration: none;
                            color: $text-gray;
                            font-weight: 400;
                            font-size: 16px;
                            border-bottom: solid 1px gray;
                            transition: all 0.25s;
                            @media (max-width: 1200px) {
                                padding: 6.5px 0;
                            }
                        }
                        .custom-check {
                            display: block;
                            position: relative;
                            padding-left: 30px;
                            margin: 20px 0;
                            color: $text-gray;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: 17px;/* identical to box height */
                            cursor: pointer;
                            -webkit-user-select: none;
                            -moz-user-select: none;
                            -ms-user-select: none;
                            user-select: none;
                        
                            input {
                                position: absolute;
                                opacity: 0;
                                cursor: pointer;
                        
                                &:checked~.checkmark {
                                    background-color: $main-color;
                        
                                    &:after {
                                        // background: #B9256A;
                                    }
                                }
                        
                                &:checked~.checkmark:after {
                                    display: block;
                                }
                                &:checked~span{
                                    border-color: $main-color;
                                    color: $color-white;
                                }
                            }
                        
                            /* Create a custom radio button */
                            .checkmark {
                                position: absolute;
                                top: 0;
                                left: 1px;
                                height: 16px;
                                width: 16px;
                                background-color: transparent;
                                border-radius: 2px;
                                border: 1.5px solid $text-gray;
                                box-sizing: border-box;
                                box-shadow: 0px 1px 0px rgba(22, 29, 37, 0.05);
                        
                                &:after {
                                    font-family: FontAwesome;
                                    content: "\f00c";
                                    position: absolute;
                                    display: none;
                                    top: 17%;
                                    left: 50%;
                                    transform: translate(-50%, -50%);
                                    width: 9px;
                                    height: 7px;
                                    font-size: 10px;
                                    background: transparent;
                                }
                            }
                        
                            &:hover input~.checkmark {
                                // background-color: transparent;
                            }
                        }
                        &:last-child{
                            a{
                                border-bottom: none;
                            }
                        }
                        &:hover{
                            a{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                            &::before{
                                color: $main-color;
                                transition: all 0.23s;
                            }
                        }
                    }
                }
            }
            .menu-none-arrow{
                ul{
                    li{
                        &::before{
                            display: none;
                        }
                        a{
                            border: none;
                        }
                    }
                }
            }
            .change-price{
                max-width: 200px;
                padding: 30px 0;
                #slider-range{
                    height: 4px;
                    background-color: gray;
                    border: none;
                    .ui-slider-handle{
                        top: -4px;
                        background: $color-white;
                        border: solid 2px $main-color;
                        box-sizing: border-box;
                        width: 12px;
                        height: 12px;
                        margin: 0;
                        border-radius: 50%;
                        outline: none;
                    }
                    .ui-widget-header{
                        background-color: $main-color;
                        border-radius: 0;
                    }
                }
                .range-slider{
                    display: inline-flex;
                    align-items: center;
                    label{
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $content-color;
                        margin-bottom: 0;
                        margin-right: 3px;
                    }
                    #amount{
                        padding: 0;
                        border: none;
                        height: auto;
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                        color: $content-color;
                    }
                }
                .form-change{
                    margin-top: 25px;
                    display: flex;
                    justify-content: space-between;
                    .btn-filter{
                        width: 38px;
                        height: 38px;
                        padding: 0;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        outline: none;
                        box-shadow: none;
                        background-color: $main-color;
                        color: $color-white;
                        border-radius: 5px;
                    }
                }
            }
            .list-sidenews{
                .news-item{
                    display: flex;
                    align-items: flex-start;
                    width: 100%;
                    padding: 15px 0;
                    border-bottom: dashed 1px #dedede;
                    &:last-child{
                        border: none;
                    }
                    .news-thumb{
                        
                        margin-right: 15px;
                        img{
                            max-width: 79px;
                        }
                    }
                    .news-content{
                        .name{
                            margin-bottom: 10px;
                            a{
                                padding: 0;
                                text-decoration: none;
                                color: $content-color;
                                font-weight: 500;
                                font-size: 16px;
                                transition: all 0.23s;
                                &:hover{
                                    color: $main-color;
                                    transition: all 0.23s;
                                }
                            }
                        }
                        .meta{
                            font-weight: 500;
                            display: inline-flex;
                            justify-content: space-between;
                            color: $text-gray;
                            font-size: 12px;
                            .meta-item{
                                margin-right: 20px;
                            }
                        }
                    }
                }
            }
            .list-tag{
                a{
                    margin-right: 5px;
                    margin-bottom: 5px;
                    display: inline-block;
                    color: #adadad;
                    font-family: $main-font;
                    font-size: 14px;
                    font-weight: 600;
                    padding:12px; 
                    border: solid 1px #ebebeb;
                    border-radius: 5px;
                    text-decoration: none;
                    transition: all 0.23s;
                    &:hover{
                        color: $color-white;
                        background-color: #adadad;
                        background-color: #adadad;
                        transition: all 0.23s;
                    }
                }
                .active{
                    color: $color-white;
                    background-color: #adadad;
                    background-color: #adadad;
                }
            }
        }
        &:last-child{
            border-bottom: none;
        }
    }
}
.block-list-news{
    .news-item{
        margin-bottom: 40px;
        .news-thumb{
            margin-bottom: 20px;
            a{
                display: flex;
                justify-content: center;
                align-items: center;
                height: 250px;
                overflow: hidden;
                text-align: center;
                img{
                    max-width: 100%;
                    max-height: 100%;
                }
            }
        }
        .news-content{
            .meta{
                margin-bottom: 10px;
                font-size: 14px;
                color: $text-gray;
                span{
                    padding: 0 15px;
                    display: inline-block;
                    line-height: 12px;
                    border-right: solid 1px $text-gray;
                    &:last-child{
                        border: none;
                    }
                    &:first-child{
                        padding-left: 0;
                    }
                }
                @media (max-width: 480px) {
                    font-size: 12px;
                }
            }
            .name{
                a{
                    text-decoration: none;
                    font-size: 18px;
                    font-weight: 600;
                    display: block;
                    color: $content-color;
                    line-height: 20px;
                    height: 40px;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    transition: all 0.23s;
                    &:hover{
                        color: $main-color;
                        transition: all 0.23s;
                    }
                }
            }
            .desc{
                span{
                    font-family: $main-font;
                    color: $content-color;
                    font-size: 14px;
                }
                a{
                    font-family: $main-font;
                    color: $main-color;
                    font-size: 14px;
                }
            }
        }
    }
}
.pagination{
    display: inline-flex;
    .page-link{
        width: 35px;
        height: 35px;
        display: flex;
        justify-items: center;
        align-items: center;
        border: solid 2px #efeff2;
        border-radius: 3px;
        color: $content-color;
        margin-right: 5px;
        font-size: 14px;
        font-weight: 600;
        color: $content-color;
    }
    .active{
        a{
            background-color: $main-color !important;
            border-color: $main-color !important;
        }
    }
}

.block-news-detail{
    .name{
        margin-bottom: 25px;
        font-family: $main-font;
        color: $content-color;
        font-size: 28px;
        text-decoration: none;
        font-weight: bold;
        line-height: 32px;
    }
    .meta{
        margin-bottom: 25px;
        display: flex;
        .meta-item{
            color: $text-gray;
            font-family: $main-font;
            font-size: 13px;
            padding: 0 15px;
            line-height: 12px;
            border-right: solid 1px $text-gray;
            &:last-child{
                border: none;
            }
        }
    }
    .desc{
        font-size: 14px;
        color: $content-color;
        font-family: $main-font;
        .text-default{
            color: $text-gray;
        }
    }
    .block-share{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 30px 0;
        font-family: $main-font;
        .tag{
            .color{
                color: $main-color;
                font-size: 14px;
                margin-right: 5px;
            }
            span{
                font-size: 14px;
                color: $text-gray;
                margin-right: 3px;
            }
        }
        .share{
            span{
                font-size: 14px;
                color: $content-color;
                font-weight: 500;
                margin-right: 10px;
            }
            a{
                text-decoration: none;
                color: $text-gray;
                transition: all 0.23s;
                display: inline-block;
                margin-right: 10px;
                &:hover{
                    color: $main-color;
                    transition: all 0.23s;
                }
            }
        }
    }
}
.block-comment{
    background-color: #f7f7f7;
    padding: 30px 20px;
    margin-bottom: 50px;
    .title-block{
        font-style: normal;
        font-weight: 500;
        font-size: 16px;
        line-height: 17px;
        color: $main-color;
        text-transform: inherit;
        margin-bottom: 20px;
        span{
            display: inline-block;
            padding: 10px 0;
        }
    }
    .comment-list{
        margin-bottom: 0;
        .comment-item{
            margin-bottom: 30px;
            display: inline-flex;
            justify-content: space-between;
            align-items: flex-start;
            .thumb{
                width: 120px;
                height: 60px;
                overflow: hidden;
                background-color: transparent;
                margin-right: 10px;
            }
            .comment-content{
                border-radius: 4px;
                padding: 0;
                position: relative;
                .flex-display{
                    align-items: flex-start;
                }
                .btn-reply{
                    font-size: 14px;
                    padding-left: 0;
                    padding-right: 0;
                    outline: none;
                    box-shadow: none;
                    margin-bottom: 20px;
                    &:hover{
                        color: $main-color;
                    }
                }
                .user-infor{
                    .name{
                        font-style: normal;
                        font-weight: bold;
                        font-size: 14px;
                        line-height: 22px;/* identical to box height */
                        align-items: center;
                        color: $content-color;
                        margin-bottom: 5px;;
                        .date{
                            font-style: normal;
                            font-weight: normal;
                            font-size: 11px;
                            line-height: 15px;/* identical to box height */
                            letter-spacing: 0.1em;
                            color: $text-gray;
                        }
                        span{
                            padding: 0 20px;
                            &:first-child{
                                padding-left: 0;
                            }
                            @media (max-width: 767px) {
                                padding: 0 5px;
                            }
                        }
                    }
                    .rated{
                        margin-bottom: 15px;
                    }
                }
                .date{
                    font-style: normal;
                    font-weight: normal;
                    font-size: 12px;
                    line-height: 15px;/* identical to box height */
                    letter-spacing: 0.1em;

                    color: $content-color-default;
                }
                .content{
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 22px;
                    align-items: center;
                    color: #666666;
                    text-align: justify;
                }
            }
            @media (max-width: 767px) {
                .thumb{
                    width: 50px;
                    margin-right: 5px;
                }
            }
        }
    }
    .block-form-rating{
        .form-group-rating{
            margin-bottom: 15px;
            display: flex;
            align-items: flex-start;
            .title{
                white-space: nowrap;
                margin-right: 25px;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 17px;
                display: flex;
                align-items: center;
                color: #3F4755;
                min-width: 70px;
            }
            .rating{
                width: 100%;
                .form-group{
                    label.star{
                        color: $main-color;
                        font-size: 17px;
                    }
                    input.star:checked ~ label.star:before{
                        color: $main-color;
                    }
                }
            }
            .col-group{
                width: 100%;
                display: grid;
                grid-gap: 20px;
                grid-template-columns: auto auto;
                .item1 {
                    grid-column-start: 1;
                    grid-column-end: 3;
                }
                .form-control{
                    background: $color-white;
                    /* bg */
                    border: 1px solid #ebebeb;
                    box-sizing: border-box;
                    border-radius: 2px;
                    outline: none;
                    box-shadow: none;
                    font-family: Montserrat;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 14px;
                    line-height: 17px;
                    &::placeholder{
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 17px;
                    }
                }
            }
            textarea{
                width: 100%;
                height: 110px;
                resize: none;
                box-shadow: none;
                outline: none;
                font-style: normal;
                font-weight: 500;
                font-size: 13px;
                color: $text-gray;
                padding: 10px;
            }
            .btn-submit{
                font-style: normal;
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                color: #F9FAFB;
                background-color: $main-color;
                padding-left: 25px;
                padding-right: 25px;
                border-radius: 5px;
                outline: none;
                box-shadow: none;
                border: none;
            }
        }
    }
    @media (max-width: 767px) {
        padding: 15px 10px;
    }
}